## salliere 0.5

=== Makefile ===
JAVA?=java
JAVAC?=javac
JAVADOC?=javadoc
JAR?=jar
GCJ?=gcj
CC?=gcc
LD?=ld
GCJFLAGS?=-fjni
JCFLAGS?=-source 1.5 -Xlint:all

PREFIX?=/usr/local
JARDIR?=$(PREFIX)/share/java
DOCDIR?=$(PREFIX)/share/doc/salliere/
MANDIR?=$(PREFIX)/share/man/man1/
SHAREDIR?=$(PREFIX)/share/salliere/
BINDIR?=$(PREFIX)/bin/

DEBUG?=disable

CLASSPATH=/usr/share/java/csv.jar:/usr/share/java/debug-$(DEBUG).jar:/usr/share/java/itext.jar

VERSION=$(shell sed -n '1s/^Version \([0-9.]*\):$$/\1/p' changelog)

SRC=$(shell find cx -name '*.java')

all: salliere-$(VERSION).jar salliere.1 bin/salliere gsalliere-$(VERSION).jar gsalliere.1 bin/gsalliere

.bin:
	mkdir -p bin
	touch .bin
.testbin:
	mkdir -p testbin
	touch .testbin
classes: .classes 
.classes: $(SRC)
	mkdir -p classes
	$(JAVAC) $(JCFLAGS) -cp $(CLASSPATH):classes -d classes $^
	touch .classes
clean:
	rm -rf classes bin testbin salliere-$(VERSION)
	rm -f .classes .bin .testbin *.tar.gz *.jar *.1 *Manifest.txt

salliere-$(VERSION).jar: SalliereManifest.txt .classes
	(cd classes; $(JAR) cfm ../$@ ../$< $(shell cd classes; find cx -name '*.class' -and -not -name 'GSalliere*' | sed 's/\$$/\\$$/g'))

gsalliere-$(VERSION).jar: GSalliereManifest.txt .classes
	(cd classes; $(JAR) cfm ../$@ ../$< cx/ath/matthew/salliere/GSalliere*.class)

salliere-$(VERSION).tar.gz: Makefile cx README INSTALL COPYING changelog todo salliere.sh salliere.sgml Manifest.txt.in gsalliere.sh gsalliere.sgml
	mkdir -p salliere-$(VERSION)
	cp -a $^ salliere-$(VERSION)
	tar zcf $@ salliere-$(VERSION)

csv.jar: 
	ln -sf /usr/share/java/csv.jar .
itext.jar: 
	ln -sf /usr/share/java/itext.jar .
debug-$(DEBUG).jar: 
	ln -sf /usr/share/java/debug-$(DEBUG).jar .

bin/%: %.sh .bin
	sed 's,\%JARPATH\%,$(JARDIR),;s,\%VERSION\%,$(VERSION),;s,\%DEBUG\%,$(DEBUG),;s,\%JAVA\%,$(JAVA),' < $< > $@

testbin/%: %.sh .testbin salliere-$(VERSION).jar csv.jar debug-$(DEBUG).jar itext.jar gsalliere-$(VERSION).jar
	sed 's,\%JARPATH\%,.,;s,\%VERSION\%,$(VERSION),;s,\%DEBUG\%,$(DEBUG),;s,\%JAVA\%,$(JAVA),' < $< > $@
	chmod 755 $@

%.1: %.sgml
	docbook-to-man $< > $@

SalliereManifest.txt: Manifest.txt.in
	echo Main-Class: cx.ath.matthew.salliere.Salliere > $@
ifeq ($(DEBUG),enable)
	echo Class-Path: $(JARDIR)/csv.jar $(JARDIR)/debug-$(DEBUG).jar $(JARDIR)/itext.jar >> $@
else
	echo Class-Path: $(JARDIR)/csv.jar $(JARDIR)/itext.jar >> $@
endif
	cat $< >> $@
	echo "Implementation-Version: $(VERSION)" >> $@

GSalliereManifest.txt: Manifest.txt.in
	echo Main-Class: cx.ath.matthew.salliere.GSalliere > $@
ifeq ($(DEBUG),enable)
	echo Class-Path: $(JARDIR)/debug-$(DEBUG).jar $(JARDIR)/salliere-$(VERSION).jar >> $@
else
	echo Class-Path: $(JARDIR)/salliere-$(VERSION).jar >> $@
endif
	cat $< >> $@
	echo "Implementation-Version: $(VERSION)" >> $@

install: salliere.1 gsalliere.1 bin/salliere bin/gsalliere gsalliere-$(VERSION).jar salliere-$(VERSION).jar changelog COPYING INSTALL README todo
	install -d $(DESTDIR)$(BINDIR)
	install bin/salliere $(DESTDIR)$(BINDIR)
	install bin/gsalliere $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(MANDIR)
	install -m 644 salliere.1 $(DESTDIR)$(MANDIR)
	install -m 644 gsalliere.1 $(DESTDIR)$(MANDIR)
	install -d $(DESTDIR)$(JARDIR)
	install -m 644 salliere-$(VERSION).jar $(DESTDIR)$(JARDIR)
	install -m 644 gsalliere-$(VERSION).jar $(DESTDIR)$(JARDIR)
	ln -sf salliere-$(VERSION).jar $(DESTDIR)$(JARDIR)/salliere.jar
	ln -sf gsalliere-$(VERSION).jar $(DESTDIR)$(JARDIR)/gsalliere.jar
	install -d $(DESTDIR)$(DOCDIR)
	install -m 644 changelog COPYING INSTALL README todo $(DESTDIR)$(DOCDIR)

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/salliere $(DESTDIR)$(BINDIR)/gsalliere
	rm -f $(DESTDIR)$(JARDIR)/salliere-$(VERSION).jar $(DESTDIR)$(JARDIR)/gsalliere-$(VERSION).jar $(DESTDIR)$(JARDIR)/salliere.jar $(DESTDIR)$(JARDIR)/gsalliere.jar
	rm -f $(DESTDIR)$(MANDIR)/salliere.1 $(DESTDIR)$(MANDIR)/gsalliere.1
	rm -f $(DESTDIR)$(DOCDIR)/changelog $(DESTDIR)$(DOCDIR)/COPYING $(DESTDIR)$(DOCDIR)/INSTALL $(DESTDIR)$(DOCDIR)/README $(DESTDIR)$(DOCDIR)/todo
	-rmdir $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR) $(DESTDIR)$(JARDIR) $(DESTDIR)$(DOCDIR)

## salliere 0.5.1

=== Makefile ===
JAVA?=java
JAVAC?=javac
JAVADOC?=javadoc
JAR?=jar
GCJ?=gcj
CC?=gcc
LD?=ld
GCJFLAGS?=-fjni
JCFLAGS?=-source 1.5 -Xlint:all
MSGFMT?=msgfmt

PREFIX?=/usr/local
JARLIBDIR?=$(PREFIX)/share/java
JARINSTALLDIR?=$(PREFIX)/share/salliere
DOCDIR?=$(PREFIX)/share/doc/salliere
MANDIR?=$(PREFIX)/share/man/man1
SHAREDIR?=$(PREFIX)/share/salliere
BINDIR?=$(PREFIX)/bin

DEBUG?=disable

CLASSPATH=/usr/share/java/csv.jar:/usr/share/java/debug-$(DEBUG).jar:/usr/share/java/itext.jar

VERSION=$(shell sed -n '1s/Version \(.*\):/\1/p' changelog)

SRC=$(shell find cx -name '*.java')

all: salliere-$(VERSION).jar salliere.1 bin/salliere gsalliere-$(VERSION).jar gsalliere.1 bin/gsalliere

.bin:
	mkdir -p bin
	touch .bin
.testbin:
	mkdir -p testbin
	touch .testbin
classes: .classes 
.classes: $(SRC) translations/*.po
	mkdir -p classes
	$(JAVAC) $(JCFLAGS) -cp $(CLASSPATH):classes -d classes $(SRC)
	(cd translations; for i in *.po; do $(MSGFMT) --java2 -r salliere_localized -d ../classes -l $${i%.po} $$i; done)
	$(MSGFMT) --java2 -r salliere_localized -d classes translations/en_GB.po
	touch .classes
clean:
	rm -rf classes bin testbin salliere-$(VERSION)
	rm -f .classes .bin .testbin *.tar.gz *.jar *.1 *Manifest.txt

salliere-$(VERSION).jar: SalliereManifest.txt .classes
	(cd classes; $(JAR) cfm ../$@ ../$< $(shell cd classes; find cx -name '*.class' -and -not -name 'GSalliere*' | sed 's/\$$/\\$$/g') *localized*.class)

gsalliere-$(VERSION).jar: GSalliereManifest.txt .classes
	(cd classes; $(JAR) cfm ../$@ ../$< cx/ath/matthew/salliere/GSalliere*.class)

salliere-$(VERSION).tar.gz: Makefile cx README INSTALL COPYING changelog todo salliere.sh salliere.sgml Manifest.txt.in gsalliere.sh gsalliere.sgml translations
	mkdir -p salliere-$(VERSION)
	cp -a $^ salliere-$(VERSION)
	tar zcf $@ salliere-$(VERSION)

csv.jar: 
	ln -sf /usr/share/java/csv.jar .
itext.jar: 
	ln -sf /usr/share/java/itext.jar .
debug-$(DEBUG).jar: 
	ln -sf /usr/share/java/debug-$(DEBUG).jar .

bin/%: %.sh .bin
	sed 's,\%JARINSTPATH\%,$(JARINSTALLDIR),;s,\%JARLIBPATH\%,$(JARLIBDIR),;s,\%VERSION\%,$(VERSION),;s,\%DEBUG\%,$(DEBUG),;s,\%JAVA\%,$(JAVA),' < $< > $@

testbin/%: %.sh .testbin salliere-$(VERSION).jar csv.jar debug-$(DEBUG).jar itext.jar gsalliere-$(VERSION).jar
	sed 's,\%JARPATH\%,.,;s,\%VERSION\%,$(VERSION),;s,\%DEBUG\%,$(DEBUG),;s,\%JAVA\%,$(JAVA),' < $< > $@
	chmod 755 $@

%.1: %.sgml
	docbook-to-man $< > $@

SalliereManifest.txt: Manifest.txt.in
	echo Main-Class: cx.ath.matthew.salliere.Salliere > $@
ifeq ($(DEBUG),enable)
	echo Class-Path: $(JARLIBDIR)/csv.jar $(JARLIBDIR)/debug-$(DEBUG).jar $(JARLIBDIR)/itext.jar >> $@
else
	echo Class-Path: $(JARLIBDIR)/csv.jar $(JARLIBDIR)/itext.jar >> $@
endif
	cat $< >> $@
	echo "Implementation-Version: $(VERSION)" >> $@

GSalliereManifest.txt: Manifest.txt.in
	echo Main-Class: cx.ath.matthew.salliere.GSalliere > $@
ifeq ($(DEBUG),enable)
	echo Class-Path: $(JARLIBDIR)/debug-$(DEBUG).jar $(JARINSTALLDIR)/salliere-$(VERSION).jar >> $@
else
	echo Class-Path: $(JARINSTALLDIR)/salliere-$(VERSION).jar >> $@
endif
	cat $< >> $@
	echo "Implementation-Version: $(VERSION)" >> $@

translations/en_GB.po: $(SRC)
	echo "#java-format" > $@
	sed -n '/_(/s/.*_("\([^"]*\)").*/\1/p' $^ | sort -u | sed 's/\(.*\)/msgid "\1"\nmsgstr "\1"/' >> $@

install: salliere.1 gsalliere.1 bin/salliere bin/gsalliere gsalliere-$(VERSION).jar salliere-$(VERSION).jar changelog COPYING INSTALL README todo
	install -d $(DESTDIR)$(BINDIR)
	install bin/salliere $(DESTDIR)$(BINDIR)
	install bin/gsalliere $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(MANDIR)
	install -m 644 salliere.1 $(DESTDIR)$(MANDIR)
	install -m 644 gsalliere.1 $(DESTDIR)$(MANDIR)
	install -d $(DESTDIR)$(JARINSTALLDIR)
	install -m 644 salliere-$(VERSION).jar $(DESTDIR)$(JARINSTALLDIR)
	install -m 644 gsalliere-$(VERSION).jar $(DESTDIR)$(JARINSTALLDIR)
	install -d $(DESTDIR)$(DOCDIR)
	install -m 644 changelog COPYING INSTALL README todo $(DESTDIR)$(DOCDIR)

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/salliere $(DESTDIR)$(BINDIR)/gsalliere
	rm -f $(DESTDIR)$(JARINSTALLDIR)/salliere-$(VERSION).jar $(DESTDIR)$(JARINSTALLDIR)/gsalliere-$(VERSION).jar
	rm -f $(DESTDIR)$(MANDIR)/salliere.1 $(DESTDIR)$(MANDIR)/gsalliere.1
	rm -f $(DESTDIR)$(DOCDIR)/changelog $(DESTDIR)$(DOCDIR)/COPYING $(DESTDIR)$(DOCDIR)/INSTALL $(DESTDIR)$(DOCDIR)/README $(DESTDIR)$(DOCDIR)/todo
	rmdir --ignore-fail-on-non-empty $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR) $(DESTDIR)$(JARINSTALLDIR) $(DESTDIR)$(DOCDIR)

## salliere 0.10

=== Makefile ===
JAVA?=java
JAVAC?=javac
JAVADOC?=javadoc
JAR?=jar
GCJ?=gcj
CC?=gcc
LD?=ld
GCJFLAGS?=-fjni
JCFLAGS?=-source 1.5 -Xlint:all
MSGFMT?=msgfmt

PREFIX?=/usr/local
JARLIBDIR?=$(PREFIX)/share/java
JARINSTALLDIR?=$(PREFIX)/share/salliere
DOCDIR?=$(PREFIX)/share/doc/salliere
MANDIR?=$(PREFIX)/share/man/man1
SHAREDIR?=$(PREFIX)/share/salliere
BINDIR?=$(PREFIX)/bin

DEBUG?=disable

CLASSPATH=$(JARLIBDIR)/csv.jar:$(JARLIBDIR)/debug-$(DEBUG).jar:$(JARLIBDIR)/itext.jar:$(JARLIBDIR)/commons-net.jar

VERSION=$(shell sed -n '1s/Version \(.*\):/\1/p' changelog)

SRC=$(shell find cx -name '*.java')

all: salliere-$(VERSION).jar salliere.1 bin/salliere gsalliere-$(VERSION).jar gsalliere.1 bin/gsalliere bin/leaderboard leaderboard-$(VERSION).jar leaderboard.1 bin/ecl2salliere

.bin:
	mkdir -p bin
	touch .bin
.testbin:
	mkdir -p testbin
	touch .testbin
classes: .classes 
.classes: $(SRC) translations/*.po
	mkdir -p classes
	$(JAVAC) $(JCFLAGS) -cp $(CLASSPATH):classes -d classes $(SRC)
	(cd translations; for i in *.po; do $(MSGFMT) --java2 -r salliere_localized -d ../classes -l $${i%.po} $$i; done)
	$(MSGFMT) --java2 -r salliere_localized -d classes translations/en_GB.po
	touch .classes
clean:
	rm -rf classes bin testbin salliere-$(VERSION)
	rm -f .classes .bin .testbin *.tar.gz *.jar *.1 *Manifest.txt

salliere-$(VERSION).jar: SalliereManifest.txt .classes
	(cd classes; $(JAR) cfm ../$@ ../$< $(shell cd classes; find cx -name '*.class' -and -not -name 'GSalliere*' -and -not -name 'Leader*'  | sed 's/\$$/\\$$/g') *localized*.class)

gsalliere-$(VERSION).jar: GSalliereManifest.txt .classes
	(cd classes; $(JAR) cfm ../$@ ../$< cx/ath/matthew/salliere/GSalliere*.class)
leaderboard-$(VERSION).jar: LeaderBoardManifest.txt .classes
	(cd classes; $(JAR) cfm ../$@ ../$< cx/ath/matthew/salliere/Leader*.class)

salliere-$(VERSION).tar.gz: Makefile cx README INSTALL COPYING changelog todo salliere.sh salliere.sgml Manifest.txt.in gsalliere.sh gsalliere.sgml translations ecl2salliere.sh leaderboard.sh leaderboard.sgml
	mkdir -p salliere-$(VERSION)
	cp -a $^ salliere-$(VERSION)
	tar zcf $@ salliere-$(VERSION)

csv.jar: 
	ln -sf /usr/share/java/csv.jar .
itext.jar: 
	ln -sf /usr/share/java/itext.jar .
commons-net.jar: 
	ln -sf /usr/share/java/commons-net.jar .
debug-$(DEBUG).jar: 
	ln -sf /usr/share/java/debug-$(DEBUG).jar .

bin/%: %.sh .bin
	sed 's,\%JARINSTPATH\%,$(JARINSTALLDIR),;s,\%JARLIBPATH\%,$(JARLIBDIR),;s,\%VERSION\%,$(VERSION),;s,\%DEBUG\%,$(DEBUG),;s,\%JAVA\%,$(JAVA),' < $< > $@

testbin/%: %.sh .testbin salliere-$(VERSION).jar csv.jar debug-$(DEBUG).jar itext.jar gsalliere-$(VERSION).jar commons-net.jar leaderboard-$(VERSION).jar
	sed 's,\%JARPATH\%,.,;s,\%VERSION\%,$(VERSION),;s,\%DEBUG\%,$(DEBUG),;s,\%JAVA\%,$(JAVA),' < $< > $@
	chmod 755 $@

%.1: %.sgml
	docbook-to-man $< > $@

SalliereManifest.txt: Manifest.txt.in
	echo Main-Class: cx.ath.matthew.salliere.Salliere > $@
ifeq ($(DEBUG),enable)
	echo Class-Path: $(JARLIBDIR)/csv.jar $(JARLIBDIR)/debug-$(DEBUG).jar $(JARLIBDIR)/itext.jar $(JARLIBDIR)/commons-net.jar >> $@
else
	echo Class-Path: $(JARLIBDIR)/csv.jar $(JARLIBDIR)/itext.jar $(JARLIBDIR)/commons-net.jar >> $@
endif
	cat $< >> $@
	echo "Implementation-Version: $(VERSION)" >> $@

GSalliereManifest.txt: Manifest.txt.in
	echo Main-Class: cx.ath.matthew.salliere.GSalliere > $@
ifeq ($(DEBUG),enable)
	echo Class-Path: $(JARLIBDIR)/debug-$(DEBUG).jar $(JARINSTALLDIR)/salliere-$(VERSION).jar >> $@
else
	echo Class-Path: $(JARINSTALLDIR)/salliere-$(VERSION).jar >> $@
endif
	cat $< >> $@
	echo "Implementation-Version: $(VERSION)" >> $@

LeaderBoardManifest.txt: Manifest.txt.in
	echo Main-Class: cx.ath.matthew.salliere.Leaders > $@
ifeq ($(DEBUG),enable)
	echo Class-Path: $(JARLIBDIR)/debug-$(DEBUG).jar $(JARINSTALLDIR)/salliere-$(VERSION).jar >> $@
else
	echo Class-Path: $(JARINSTALLDIR)/salliere-$(VERSION).jar >> $@
endif
	cat $< >> $@
	echo "Implementation-Version: $(VERSION)" >> $@

translations/en_GB.po: $(SRC)
	echo "#java-format" > $@
	sed -n '/_(/s/.*_("\([^"]*\)").*/\1/p' $^ | sort -u | sed 's/\(.*\)/msgid "\1"\nmsgstr "\1"/' >> $@

install: salliere.1 gsalliere.1 bin/salliere bin/gsalliere gsalliere-$(VERSION).jar salliere-$(VERSION).jar changelog COPYING INSTALL README todo bin/ecl2salliere bin/leaderboard leaderboard-$(VERSION).jar leaderboard.1
	install -d $(DESTDIR)$(BINDIR)
	install bin/salliere $(DESTDIR)$(BINDIR)
	install bin/gsalliere $(DESTDIR)$(BINDIR)
	install bin/leaderboard $(DESTDIR)$(BINDIR)
	install bin/ecl2salliere $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(MANDIR)
	install -m 644 salliere.1 $(DESTDIR)$(MANDIR)
	install -m 644 leaderboard.1 $(DESTDIR)$(MANDIR)
	install -m 644 gsalliere.1 $(DESTDIR)$(MANDIR)
	install -d $(DESTDIR)$(JARINSTALLDIR)
	install -m 644 salliere-$(VERSION).jar $(DESTDIR)$(JARINSTALLDIR)
	install -m 644 gsalliere-$(VERSION).jar $(DESTDIR)$(JARINSTALLDIR)
	install -m 644 leaderboard-$(VERSION).jar $(DESTDIR)$(JARINSTALLDIR)
	install -d $(DESTDIR)$(DOCDIR)
	install -m 644 changelog COPYING INSTALL README todo $(DESTDIR)$(DOCDIR)

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/salliere $(DESTDIR)$(BINDIR)/gsalliere $(DESTDIR)$(BINDIR)/ecl2salliere $(DESTDIR)$(BINDIR)/leaderboard
	rm -f $(DESTDIR)$(JARINSTALLDIR)/salliere-$(VERSION).jar $(DESTDIR)$(JARINSTALLDIR)/gsalliere-$(VERSION).jar $(DESTDIR)$(JARINSTALLDIR)/leaderboard-$(VERSION).jar
	rm -f $(DESTDIR)$(MANDIR)/salliere.1 $(DESTDIR)$(MANDIR)/gsalliere.1 $(DESTDIR)$(MANDIR)/leaderboard.1
	rm -f $(DESTDIR)$(DOCDIR)/changelog $(DESTDIR)$(DOCDIR)/COPYING $(DESTDIR)$(DOCDIR)/INSTALL $(DESTDIR)$(DOCDIR)/README $(DESTDIR)$(DOCDIR)/todo
	rmdir --ignore-fail-on-non-empty $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR) $(DESTDIR)$(JARINSTALLDIR) $(DESTDIR)$(DOCDIR)

=== debian/changelog ===
salliere (0.10-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 15:47:10 +0100

salliere (0.10-3) unstable; urgency=medium

  * debian/control: use debhelper 11
  * debian/control: bump standard to 4.1.3 (no changes)
  * debian/control: add VCS URLs
  * add java9.patch (thanks to Markus Koschany) (Closes: #874006)
                    (thanks also to Emmanuel Bourg, who suggested a
                     different approach)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 01 Apr 2018 12:23:00 +0100

salliere (0.10-2) unstable; urgency=medium

  * new maintainer (Closes: #762546)
  * debian/control: use debhelper 10
  * debian/control: bump standard to 3.9.8

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 24 Jan 2017 19:23:00 +0100

salliere (0.10-1) unstable; urgency=low

  * New upstream release

 -- Matthew Johnson <mjj29@debian.org>  Sun, 24 Jan 2010 23:23:00 +0000

salliere (0.9-1) unstable; urgency=low

  * New upstream release

 -- Matthew Johnson <mjj29@debian.org>  Fri, 01 Jan 2010 15:37:28 +0000

salliere (0.8-1) unstable; urgency=low

  * New upstream release

 -- Matthew Johnson <mjj29@debian.org>  Sun, 06 Dec 2009 00:29:35 +0000

salliere (0.7.2-1) unstable; urgency=low

  * New upstream release

 -- Matthew Johnson <mjj29@debian.org>  Fri, 13 Nov 2009 23:45:11 +0000

salliere (0.7.1-2) unstable; urgency=low

  * Convert to dh 7

 -- Matthew Johnson <mjj29@debian.org>  Sun, 26 Jul 2009 12:11:43 +0100

salliere (0.7.1-1) unstable; urgency=low

  * New Upstream release
   - patch to work on itext 2.x (Closes: #521967)

 -- Matthew Johnson <mjj29@debian.org>  Thu, 25 Jun 2009 08:32:05 +0100

salliere (0.7-1) unstable; urgency=low

  * New Upstream Release
  * Add dependency on libcommons-net-java
  * Change to depends on and build with default-jdk

 -- Matthew Johnson <mjj29@debian.org>  Sun, 08 Mar 2009 22:22:59 +0000

salliere (0.5.2-2) unstable; urgency=low

  * Bump Standards-Version

 -- Matthew Johnson <mjj29@debian.org>  Tue, 05 Feb 2008 09:28:04 +0000

salliere (0.5.2-1) unstable; urgency=low

  * New upstream release. Fixes translations
  * Install the ecl2salliere script

 -- Matthew Johnson <mjj29@debian.org>  Tue, 22 Jan 2008 01:05:31 +0000

salliere (0.5.1-2) unstable; urgency=low

  * Port to use javahelper

 -- Matthew Johnson <mjj29@debian.org>  Sat, 12 Jan 2008 17:03:57 +0000

salliere (0.5.1-1) unstable; urgency=low

  * Add watch file from watchwiz
  * New Upstream Release
  * Move installation around a bit

 -- Matthew Johnson <mjj29@debian.org>  Sat, 12 Jan 2008 12:12:20 +0000

salliere (0.5-2) unstable; urgency=low

  * Move binary links to /usr/games

 -- Matthew Johnson <mjj29@debian.org>  Sun, 23 Dec 2007 00:12:50 +0000

salliere (0.5-1) unstable; urgency=low

  * New upstream release.
  * Add dependency on gettext.
  * Change maintainer address

 -- Matthew Johnson <mjj29@debian.org>  Wed, 05 Dec 2007 10:21:59 +0000

salliere (0.4-1) unstable; urgency=low

  * New upstream release.
  * First Debian Upload (Closes: #421432)

 -- Matthew Johnson <debian@matthew.ath.cx>  Sun, 19 Aug 2007 20:03:47 +0100

salliere (0.3-1) unstable; urgency=low

  * New upstream release.
  * Add gsalliere package.
  * Change to using binfmt-misc and add dep on jarwrapper
  * Add menu

 -- Matthew Johnson <debian@matthew.ath.cx>  Wed, 09 May 2007 17:25:19 +0100

salliere (0.2-1) unstable; urgency=low

  * New upstream release.
  * Build-depends/depends on libitext-java

 -- Matthew Johnson <debian@matthew.ath.cx>  Mon,  7 May 2007 13:12:54 +0100

salliere (0.1-1) unstable; urgency=low

  * Initial release

 -- Matthew Johnson <debian@matthew.ath.cx>  Sun, 29 Apr 2007 00:29:07 +0100

=== debian/control ===
Source: salliere
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 11)
  , default-jdk
  , fastjar
  , docbook-to-man
  , libmatthew-debug-java
  , libcsv-java
  , libitext-java
  , gettext
  , javahelper (>= 0.20)
  , libcommons-net-java
Standards-Version: 4.1.3
Section: games
Homepage: http://www.matthew.ath.cx/projects/salliere/
Vcs-Browser: https://salsa.debian.org/alteholz/salliere.git
Vcs-Git: https://salsa.debian.org/alteholz/salliere.git

Package: salliere
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Description: Bridge duplicate scorer
 Salliere is a scoring program for duplicate bridge.  It will take a file of
 pair numbers and contracts then score and match point them for duplicate
 bridge. It will then produce nicely tabulated overall results and
 board-by-board results.

Package: gsalliere
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Description: Bridge duplicate scorer (GUI frontend)
 Salliere is a scoring program for duplicate bridge.  It will take a file of
 pair numbers and contracts then score and match point them for duplicate
 bridge. It will then produce nicely tabulated overall results and
 board-by-board results.
 .
 This package contains the GUI frontend for salliere.

=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME=/usr/lib/jvm/default-java
VERSION=$(shell dpkg-parsechangelog | sed -n '/^Version/s/Version: \(.*\)-[^-]*$$/\1/p')

%:
	dh $@ --with javahelper

override_dh_auto_test:

override_dh_auto_build:
	make JAR=fastjar JAVAC=${JAVA_HOME}/bin/javac JAVA=java PREFIX=/usr all

override_dh_auto_clean:
	make clean

override_dh_auto_install:
	make DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr install

override_dh_install:
	dh_install --sourcedir=debian/tmp

override_dh_link:
	dh_link -psalliere usr/share/salliere/salliere-$(VERSION).jar usr/games/salliere
	dh_link -pgsalliere usr/share/salliere/gsalliere-$(VERSION).jar usr/games/gsalliere
